# Class NfcF

java.lang.Object
com.codename1.nfc.TagTechnology
com.codename1.nfc.NfcF

public class NfcF extends TagTechnology

FeliCa (JIS X 6319-4) technology view -- the contactless protocol used by Suica, PASMO, ICOCA and other Japanese transit / payment cards.

On iOS the app must declare its target system codes in the `Info.plist` key `com.apple.developer.nfc.readersession.felica.systemcodes`. Seeing `Nfc` / `NfcF` on the classpath gets the builders to add CoreNFC, a default `NFCReaderUsageDescription` and the reader-session formats entitlement, but not this key: the codes are an argument to `setFelicaSystemCodes` at runtime, which no build-time scan can see. Inject it yourself with the `ios.plistInject` build hint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NfcF()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getIdm()`
  IDm (Manufacturer Identifier).
  `byte[]`
  `getPmm()`
  PMm (Manufacturer Parameter).
  `byte[]`
  `getSystemCode()`
  Two-byte system code the tag is currently polled on.
  `final TagType`
  `getType()`
  The technology variant this view represents.

  ### Methods inherited from class TagTechnology

  `transceive`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NfcF

    public NfcF()

- ## Method Details

  - ### getIdm

    public byte[] getIdm()
    IDm (Manufacturer Identifier). 8 bytes on a normal FeliCa tag; empty when the platform did not expose it.

  - ### getPmm

    public byte[] getPmm()
    PMm (Manufacturer Parameter). 8 bytes; empty when not exposed.

  - ### getSystemCode

    public byte[] getSystemCode()
    Two-byte system code the tag is currently polled on. Empty when not exposed.

  - ### getType

    public final TagType getType()
    Description copied from class: `TagTechnology`
    The technology variant this view represents.
    Specified by:
      `getType` in class `TagTechnology`